/* Homepage styline */

/* top two columns - Equal - Banner for homepage */

/* Desktop: two equal columns side by side */
.thqtwo-colhome {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/* Column One */
.thqcol-onehome {
  background: white;
  color: white;
  height: 300px;
  }
  
.thqcol-onehome img {
  margin: 0px !important;
  }
  
/* Column Two */
.thqcol-twohome {
  background: #323e56;
  color: white;
  margin-left: 0px;
  }

.thqcol-twohome h2 {
  border-bottom: 6px solid #f1562a; color: white;
  }
  
 .thqhomecontent {
  height: 300px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }

/* Two equal column - Town Hall summary */

.thqtwo-colmain {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/* Column One */
.thqcol-onemain {
  background: #999997;
  color: white;
  height: 500px;
  }
  
.thqcol-onemain img {
  margin: 0px !important;
  }
  
/* Column Two */
.thqcol-twomain {
  color: white;
  margin-left: 0px;
  }

.thqcol-onemain h2 {
  border-bottom: 6px solid #f1562a;
  color: white;
  }
  
 .thqmaincontent {
  height: 500px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }

/* Two equal column - Town Hall summary */

.thqtwo-colth {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/* Column One */
.thqcol-oneth {
  background: #999997;
  color: white;
  height: 400px;
  }
  
.thqcol-oneth img {
  margin: 0px !important;
  }
  
/* Column Two */
.thqcol-twoth {
  color: white;
  margin-left: 0px;
  }

.thqcol-oneth h2 {
  border-bottom: 6px solid #f1562a;
  color: white;
  }
  
 .thqmaincontentth {
  height: 400px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }
  
  /* musuem and innovation*/
  
  .thqtwo-colcafe {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: -38px;
}
  
  .thqcol-onecafe {
  background: #323e56;
  color: white;
  height: 300px;
  }
  
  .thqcol-onecafe h2 {
  border-bottom: 6px solid #f1562a;
  color: white;
  }
  
   .thqmaincontentcafe {
  height: 300px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }
  
  .thqcol-twoinnovation {
  background: #5f89ab;
  color: white;
  height: 300px;
  }
  
  .thqcol-twoinnovation h2 {
  border-bottom: 6px solid #f1562a;
  color: white;
  }
  
   .thqmaincontentinnovation {
  height: 300px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }
  
  /* Three columns for Re-discovering page */

/* Desktop: three equal columns side by side */
.thqthree-col {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-top: -38px;
}

/* Column One */
.thqcol-onesustainable {
  background: white;
  color: black;
  height: 350px;
  border-left: solid black 1px;
  border-bottom: solid black 1px;
  border-right: solid black 1px;
  }
  
.thqcol-onesustainable img {
  margin: 0px !important;
  }
  
  .thqhomesustainable {
  height: 350px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }
  
/* Column Two */

.thqcol-twomuspic {
  background: white;
  color: white;
  height: 350px;
  }
  
.thqcol-twomuspic img {
  margin: 0px !important;
  }

/* Column Three */

.thqcol-threemuseum {
  background: #f87b58;
  color: white;
  height: 350px;
  }
  
.thqcol-threemuseum img {
  margin: 0px !important;
  }

.thqcol-threemuseum h2 {
  color: white;
  }
  
  .thqmuseum {
  height: 350px;
  display: flex;
  flex-direction: column;   /* stack h2 and p vertically */
  justify-content: center;  /* vertical centering */
  align-items: center;      /* horizontal centering */
  text-align: center;
  padding: 10px;
  }

/* buttons homepage */

h3.top-tasks__heading {
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(1) .top-tasks__list-link {
	background-color: #5f89ab !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(1) .top-tasks__list-link:hover {
	background-color: #78abd4 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(2) .top-tasks__list-link {
	background-color: #f87b58 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(2) .top-tasks__list-link:hover {
	background-color: #fa9579 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(3) .top-tasks__list-link {
	background-color: #9bcb6c !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(3) .top-tasks__list-link:hover {
	background-color: #bae492 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(4) .top-tasks__list-link {
	background-color: #999997 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(4) .top-tasks__list-link:hover {
	background-color: #767676 !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(5) .top-tasks__list-link {
	background-color: #323f5a !important;
	color: white !important;
}

.top-tasks .top-tasks__list .top-tasks__list-item:nth-of-type(5) .top-tasks__list-link:hover {
	background-color: #48597e !important;
	color: white !important;
}

/* News Carousel */

.carousel {
      position: relative;
      width: 100%;
      margin: 40px auto;
      overflow: hidden;
      border-radius: 16px;
      box-shadow: 0 10px 25px rgba(0,0,0,0.15);
    }
	
	.carousel .dot {
		background-color: #78abd4;
    border-radius: 0;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    height: 1.25rem;
    margin: 0 .25rem;
    opacity: 1;
    position: relative;
    width: 1.25rem;
	border-radius: 30px;
}

    .slides {
      display: flex;
      transition: transform 0.5s ease;
    }

    .slide {
      min-width: 100%;
      display: flex;
      flex-direction: column;
    }
	
	.editor img:not([class]) {
		margin: 0px;
	}

    .slide img {
      width: 100%;
      height: 250px;
      object-fit: cover;
    }

    .content {
      padding: 20px;
      background: #fff;
    }

    .content h2 {
      font-size: 20px;
      margin-bottom: 10px;
    }

    .content p {
      color: #555;
      margin-bottom: 15px;
    }

    .content a {
      display: inline-block;
      padding: 10px 16px;
      text-decoration: none !important;
      border-radius: 6px;
	  width: 50%;
    }
	
	.buttonhome {
	background-color: #fff;
    border: 2px solid #242424;
    border-radius: 5px;
    color: #242424;
    cursor: pointer;
    display: inline-block;
    font-family: "Lato", sans-serif;
    margin: 0 0 .75rem;
    padding: .625rem 1.5rem;
    text-align: center;
    text-decoration: none;
    -webkit-transition: background-color .1s ease-out, border-color .1s ease-out, color .1s ease-out;
    -o-transition: background-color .1s ease-out,border-color .1s ease-out,color .1s ease-out;
    transition: background-color .1s ease-out, border-color .1s ease-out, color .1s ease-out;
    vertical-align: middle;
	}
	
	.buttonnews {
	background-color: #323f5a;
    border: 2px solid #323f5a;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    display: inline-block;
    font-family: "Lato", sans-serif;
    margin: 0 0 .75rem;
    padding: .625rem 1.5rem;
    text-align: center;
    text-decoration: none;
    -webkit-transition: background-color .1s ease-out, border-color .1s ease-out, color .1s ease-out;
    -o-transition: background-color .1s ease-out,border-color .1s ease-out,color .1s ease-out;
    transition: background-color .1s ease-out, border-color .1s ease-out, color .1s ease-out;
    vertical-align: middle;
	}
	
	.buttonnews:hover {
		background-color: white;
		color: black;
	}
	
	.buttonhome:hover {
		background-color: white;
		color: black;
	}
	
	.buttonnews:visited {
		color: white;
	}
	
	/* Desktop layout - DO NOT MOVE */
    @media (min-width: 768px) {
      .slide {
        flex-direction: row;
      }
      .slide img {
        width: 50%;
        height: auto;
      }
      .content {
        width: 50%;
        display: flex;
        flex-direction: column;
        justify-content: center;
      }
    }

    /* Arrows */
    .arrow {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      background: #999997;
	  opacity: 0.7;
      border: none;
      padding: 10px;
      cursor: pointer;
      border-radius: 50%;
    }

    .arrow.left { left: 10px; }
    .arrow.right { right: 10px; }

    /* Dots */
    
    .dots {
      position: absolute;
      bottom: 10px;
      left: 50%;
      transform: translateX(-50%);
      display: flex;
      gap: 15px;
      padding: 10px 12px;
      background: #999997;
      border-radius: 10px;
      backdrop-filter: blur(4px);
    }

    .dot {
      width: 10px;
      height: 10px;
      background: #bbb;
      border-radius: 20px;
      cursor: pointer;
      transition: background 0.3s, transform 0.2s;
	  
    }

    .dot.active { background: #9bcb6c; transform: scale(1.2); }

/* Logos at bottom of homepage */

	.logos1 {
		background-color: #e8e6e6;
		padding: 30px;
	}
	
	.logos2 {
		background-color: #c7c7c7;
		padding: 30px;
		margin-top: -33px;
	}

	.logos1 img {
		display: inline;
	}
	
	.logos2 img {
		display: inline;
	}

	.sponsor {
		padding-right: 50px;
	}
	
	.logos1 a {
		text-decoration: none !important;
		background-color: #e8e6e6 !important;
	}
	
	.logos2 a {
		text-decoration: none !important;
		background-color: #c7c7c7 !important;
	}
	
/* Content styling */

	h2.page-subheading {
		border-bottom: 6px solid #f1562a;
		color: black;
		width: 60%;
	}

  h3.thqcontent {
		border-bottom: 6px solid #f1562a;
		color: black;
		width: 60%;
  }
  
  blockquote, .blockquote {
	background-color: #5f89ab;
	color: white;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    font-family: "StagBook";
    font-weight: normal;
    margin-bottom: 3rem;
    padding: 1.5rem;
    position: relative;
  }
  
  /* Accordion */

.accordion {
  background-color: white;
  color: black;
  cursor: pointer;
  width: 100%;
  border: 2px solid #d4cec7;
  text-align: left;
  font-size: 15px;
  transition: 0.4s;
  margin-bottom: 3px;
  padding: 18px;
}

.active, .accordion:hover {
  background-color: #78abd4;
  border: 2px solid #78abd4;
  color: white;
}

.panel {
  display: none;
  padding-bottom: 5px;
  padding-top: 5px;
  overflow: hidden;
  border-left: solid 2px #ccc;
  border-right: solid 2px #ccc;
  border-bottom: solid 2px #ccc;
  margin-top: -6px;

}

.accordion:after {
  content: '\02795';
  font-size: 13px;
  float: right;
  margin-left: 5px;
  color: black;
}
	
/* Mobile: stack into a single column - all columns homepage */
@media (max-width: 640px) {
  .thqtwo-colhome {
    grid-template-columns: 1fr;
  }
  
  .thqcol-onehome {
	  margin-left: 0px;
  }
  
  img[width], img[height] {
    max-width: 100%;
}

  .thqtwo-colmain {
    grid-template-columns: 1fr;
  }
  
  .thqcol-onemain {
	  margin-left: 0px;
  }
  
  .thqtwo-colth {
	  grid-template-columns: 1fr;
  }
  
  .thqcol-oneth {
	  margin-left: 0px;
  }
  
  .thqtwo-colcafe {
	  grid-template-columns: 1fr;
  }
  
  .thqcol-onecafe {
	  margin-left: 0px;
  }
  
  .thqthree-col {
	  grid-template-columns: 1fr;
  }
  
  .thq-onesustainable {
	  margin-left: 0px;
  }

	.logos1 {
		display: none;
	}
	
	.logos2 {
		display: none;
	}
	
	.thqcol-twomain img {
		display: none !important;
	}
	
	h2.page-subheading {
		border-bottom: 6px solid #f1562a;
		color: black;
		width: 100%;
	}

  h3.thqcontent {
		border-bottom: 6px solid #f1562a;
		color: black;
		width: 100%;
  }